{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to update a specific campaign.**\n\nThis is especially useful if you only set up the campaign using POST /campaigns, but didn't set many of the parameters.","properties":{"path":{"type":"object","properties":{"campaign_id":{"type":"integer","description":"The id of the campaign you would like to retrieve."}},"required":["campaign_id"],"additionalProperties":false},"headers":{"type":"object","properties":{"on-behalf-of":{"type":"string","description":"The `on-behalf-of` header allows you to make API calls from a parent account on behalf of the parent's Subusers or customer accounts. You will use the parent account's API key when using this header. When making a call on behalf of a customer account, the property value should be \"account-id\" followed by the customer account's ID (e.g., `on-behalf-of: account-id <account-id>`). When making a call on behalf of a Subuser, the property value should be the Subuser's username (e.g., `on-behalf-of: <subuser-username>`). See [**On Behalf Of**](https://docs.sendgrid.com/api-reference/how-to-use-the-sendgrid-v3-api/on-behalf-of) for more information."}},"required":[],"additionalProperties":false},"body":{"title":"Update a Campaign request","type":"object","properties":{"title":{"type":"string","description":"The title of the campaign."},"subject":{"type":"string","description":"The subject line for your campaign."},"categories":{"type":"array","description":"The categories you want to tag on this campaign.","items":{"type":"string"}},"html_content":{"type":"string","description":"The HTML content of this campaign."},"plain_content":{"type":"string","description":"The plain content of this campaign."}},"required":["title","subject","categories","html_content","plain_content"],"examples":[{"title":"May Newsletter","subject":"New Products for Summer!","categories":["summer line"],"html_content":"<html><head><title></title></head><body><p>Check out our summer line!</p></body></html>","plain_content":"Check out our summer line!"}]}},"required":["path"],"additionalProperties":false},"name":"Update a Campaign","id":"sendgrid.lmc_campaigns.updatecampaign","example":{"path":{"campaign_id":1}},"maxRequests":1,"summary":false}}